### Property

# Gtk PrintOperation:n-pages-to-print

#### Declaration

    property n-pages-to-print: int [ read ]

#### Description [src]

The number of pages that will be printed.

Note that this value is set during print preparation phase (`GTK_PRINT_STATUS_PREPARING`), so this value should never be get before the data generation phase (`GTK_PRINT_STATUS_GENERATING_DATA`). You can connect to the `GtkPrintOperation::status-changed` signal and call gtk_print_operation_get_n_pages_to_print() when print status is `GTK_PRINT_STATUS_GENERATING_DATA`.

This is typically used to track the progress of print operation.

Type: | `gint`

Getter method | `gtk_print_operation_get_n_pages_to_print`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no